### Function

# Gimp cairo_set_source_rgb

since: 2.6

#### Declaration [src]

    void
    gimp_cairo_set_source_rgb (
      cairo_t* cr,
      const GimpRGB* color
    )

#### Description [src]

Sets the source pattern within `cr` to the solid opaque color described by `color`.

This function calls `cairo_set_source_rgb()` for you.

Available since: 2.6

#### Parameters

`cr`

  Type: `cairo_t`

  Cairo context.

  The data is owned by the caller of the function.

`color`

  Type: `GimpRGB`

  GimpRGB color.

  The data is owned by the caller of the function.